import Taro, { Component } from '@tarojs/taro';
import Authorize from '@components/authorize'
import './index.scss'
import { AtTabs, AtTabsPane } from 'taro-ui'
import "taro-ui/dist/style/components/tabs.scss"
import { queryActivityList } from '@services/activity'
import Activity from './index'
import News from '../news/index'
import { savePoint, updatePoint } from '@services/common'
import { connect } from '@tarojs/redux'


let pageIndex = 1

@connect(({ user, city }) => ({ user, city }))
export default class active extends Component {

  config = {
    navigationBarTitleText: '活动资讯'
  }

  state = {
    current: 0,
  }

  handleClick(value) {
    this.setState({
      current: value
    })
  }

  renderLogin() {
    return <Authorize></Authorize>
  }

  render() {
    const { person: { phone } } = this.props.user.userInfo

    return !phone ? this.renderLogin() : (
      <View style="height:100vh">
        <AtTabs className="tab-box" scroll current={this.state.current} tabList={[{ title: '热门活动' }, { title: '最新资讯' }]} onClick={this.handleClick.bind(this)}>
          <AtTabsPane current={this.state.current} index={0} >
            <View >
              <Activity ></Activity >
            </View>
          </AtTabsPane>
          <AtTabsPane current={this.state.current} index={1}>
            <View >
              <News ></News>
            </View>
          </AtTabsPane>
        </AtTabs>
      </View>
    );
  }
}